httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe Jr." <wr...@rowe-clan.net>
Subject Re: svn commit: r503 - in /dev/httpd: Announcement2.4.html Announcement2.4.txt
Date Tue, 21 Feb 2012 08:46:15 GMT
On 2/21/2012 2:44 AM, wrowe@apache.org wrote:
> Author: wrowe
> Date: Tue Feb 21 08:44:06 2012
> New Revision: 503
> 
> Log:
> We are stuck with our Binary ABI graph for the next five years.  That doesn't
> seem like much time unless you are a maintainer :)
> 
> There's no way on Her Green Earth I'll personally roll without OpenSSL 1.0.1
> and zlib 1.2.7, and they aren't quite ready yet.
> 
> I don't know if I've phrased this right, or to the agreement of the project.
> All edits welcomed.  But it's slightly more specific than Jim's first draft.
> 
> Modified:
>     dev/httpd/Announcement2.4.html
>     dev/httpd/Announcement2.4.txt
> 
> Modified: dev/httpd/Announcement2.4.html
> ==============================================================================
> --- dev/httpd/Announcement2.4.html (original)
> +++ dev/httpd/Announcement2.4.html Tue Feb 21 08:44:06 2012
> @@ -77,9 +77,12 @@
>     using (and the libraries they depend on) are thread-safe.
>  </p>
>  <p>
> -  NOTE: Windows users may have problems with Apache httpd 2.4.1 and
> -         SSL. As such, Apache 2.4.x is currently not recommended for
> -         Windows servers.
> +   NOTE to Windows users: AcceptFilter None has replaced DisableWin32AcceptEx
> +        and the feature appears to have interoperability issues with mod_ssl.
> +        Apache 2.4.1 may not yet be suitable for all Windows servers.  There 
> +        is not yet a Windows binary distribution of httpd 2.4, but this is
> +        expected to be remedied soon as various dependencies graduate from
> +        beta to GA.
>  </p>
>  </body>
>  </html>
> 
> Modified: dev/httpd/Announcement2.4.txt
> ==============================================================================
> --- dev/httpd/Announcement2.4.txt (original)
> +++ dev/httpd/Announcement2.4.txt Tue Feb 21 08:44:06 2012
> @@ -33,6 +33,9 @@
>     than the Prefork MPM), you must ensure that any modules you will be
>     using (and the libraries they depend on) are thread-safe.
>  
> -   NOTE: Windows users may have problems with Apache httpd 2.4.1 and
> -         SSL. As such, Apache 2.4.x is currently not recommended for
> -         Windows servers.
> \ No newline at end of file
> +   NOTE to Windows users: AcceptFilter None has replaced DisableWin32AcceptEx
> +        and the feature appears to have interoperability issues with mod_ssl.
> +        Apache 2.4.1 may not yet be suitable for all Windows servers.  There 
> +        is not yet a Windows binary distribution of httpd 2.4, but this is
> +        expected to be remedied soon as various dependencies graduate from
> +        beta to GA.

s/Windows binary/official Windows binary/

?  Official seems like the wrong word.  But something to designate that
we are speaking for apache.org, but others may have 2.4.1 binaries of
whatever combinations ready to go.

Mime
View raw message